Package org.apache.datasketches.common

# Annotation Interface SuppressFBWarnings

@Retention(CLASS) public @interface SuppressFBWarnings
Used to suppress SpotBug warnings.

Author:
  Lee Rhodes

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`String`
`justification`
Optional explanation for the suppression.
`String[]`
`value`
A list of comma-separated, quoted SpotBugs warnings that are to be suppressed in the associated annotated element.

## Element Details

### value

String[] value
A list of comma-separated, quoted SpotBugs warnings that are to be suppressed in the associated annotated element. The value can be a bug category, kind or pattern.

Returns:
  list of relevant bug descriptors

Default:
  `{}`

### justification

String justification
Optional explanation for the suppression.

Returns:
  explanation

Default:
  `""`